#ifndef VDR_GRABBER_THREAD_H
#define VDR_GRABBER_THREAD_H

#include <set>
#include <vdr/thread.h>
#include "channels_supported.h"

using std::set;

// --- cGrabberThread----------------------------------------------------
class cGrabberThread: public cThread {
 private:
    bool m_Active;
 protected:
    virtual void Action(void);
 public:
    static cGrabberThread *m_Instance;
    static set<cChannelSupported> channelsSupported;

    cGrabberThread();
    virtual ~cGrabberThread();
    static void Init();
    static void Exit(void);
    void Stop(void);
    static bool ChannelSupported(string channelID);
    static set<cChannelSupported>::iterator GetChannel(string channelID);
};

#endif 
